Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226330 - Merge Review: pychecker
Summary: Merge Review: pychecker
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:45 UTC by Nobody's working on this, feel free to take it
Modified: 2013-05-08 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-15 14:44:39 UTC
susi.lehtola: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:45:07 UTC
Fedora Merge Review: pychecker

http://cvs.fedora.redhat.com/viewcvs/devel/pychecker/
Initial Owner: mitr@redhat.com

Comment 1 Susi Lehtola 2009-04-11 10:19:07 UTC
- Drop
Requires: python
and
BuildRequires: python
since both of these are redundant (first is automatically picked up and second is a requirement of python-devel).

- Remove
CFLAGS="$RPM_OPT_FLAGS"
from the build phase since this is a noarch package.

**

rpmlint output:
pychecker.noarch: W: summary-ended-with-dot A python source code checking tool.
pychecker.noarch: E: tag-not-utf8 %changelog
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/Stack.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/OP.py 0644
pychecker.noarch: W: file-not-utf8 /usr/share/doc/pychecker-0.8.17/MAINTAINERS
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/warn.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/printer.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/CodeChecks.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/Warning.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/msgs.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/utils.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/Config.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/checker.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/function.py 0644
pychecker.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/pychecker/python.py 0644
pychecker.src: W: summary-ended-with-dot A python source code checking tool.
pychecker.src: E: tag-not-utf8 %changelog
pychecker.src: E: non-utf8-spec-file /tmp/rpmlint.pychecker-0.8.17-8.fc10.src.rpm.t9ghWq/pychecker.spec
2 packages and 0 specfiles checked; 15 errors, 3 warnings.

- Fix the above. You can get rid of the non-executable script errors by removing the shebang with sed in the setup phase, e.g. 
sed -i -e '1d' pychecker/checker.py

- Maybe add "-O1 --skip-build" to the install argument of setup.py?

MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. OK
- Source code contains no license heders, please ask upstream to add them.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 2 Susi Lehtola 2009-06-14 16:11:53 UTC
ping vcrhonek

Comment 3 Vitezslav Crhonek 2009-06-15 14:26:54 UTC
(In reply to comment #1)
> - Drop
> Requires: python
> and
> BuildRequires: python
> since both of these are redundant (first is automatically picked up and second
> is a requirement of python-devel).

Fixed.

> 
> - Remove
> CFLAGS="$RPM_OPT_FLAGS"
> from the build phase since this is a noarch package.

Fixed.

> 
> **
> 
> rpmlint output:
> pychecker.noarch: W: summary-ended-with-dot A python source code checking tool.
> pychecker.noarch: E: tag-not-utf8 %changelog
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/Stack.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/OP.py 0644
> pychecker.noarch: W: file-not-utf8 /usr/share/doc/pychecker-0.8.17/MAINTAINERS
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/warn.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/printer.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/CodeChecks.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/Warning.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/msgs.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/utils.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/Config.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/checker.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/function.py 0644
> pychecker.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/pychecker/python.py 0644
> pychecker.src: W: summary-ended-with-dot A python source code checking tool.
> pychecker.src: E: tag-not-utf8 %changelog
> pychecker.src: E: non-utf8-spec-file
> /tmp/rpmlint.pychecker-0.8.17-8.fc10.src.rpm.t9ghWq/pychecker.spec
> 2 packages and 0 specfiles checked; 15 errors, 3 warnings.
> 
> - Fix the above. You can get rid of the non-executable script errors by
> removing the shebang with sed in the setup phase, e.g. 
> sed -i -e '1d' pychecker/checker.py

Fixed.

> 
> - Maybe add "-O1 --skip-build" to the install argument of setup.py?

There are problems with '--skip-build'.

> 
> MUST: The spec file for the package is legible and macros are used
> consistently. OK
> MUST: The package must be named according to the Package Naming Guidelines. OK
> MUST: The spec file name must match the base package %{name}. OK
> MUST: The package must be licensed with a Fedora approved license and meet the 
> Licensing Guidelines. OK
> 
> MUST: The License field in the package spec file must match the actual license.
> OK
> - Source code contains no license heders, please ask upstream to add them.
> 
> MUST: The sources used to build the package must match the upstream source, as
> provided in the spec URL. OK
> MUST: The package MUST successfully compile and build into binary rpms. OK
> MUST: The spec file MUST handle locales properly. OK
> MUST: Optflags are used and time stamps preserved. OK
> MUST: Packages containing shared library files must call ldconfig. OK
> MUST: A package must own all directories that it creates or require the package
> that owns the directory. OK
> MUST: Files only listed once in %files listings. OK
> MUST: Permissions on files must be set properly. OK
> MUST: Clean section exists. OK
> MUST: Large documentation files must go in a -doc subpackage. OK
> MUST: All relevant items are included in %doc. Items in %doc do not affect
> runtime of application. OK
> MUST: Header files must be in a -devel package. OK
> MUST: Static libraries must be in a -static package. OK
> MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
> MUST: If a package contains library files with a suffix then library files
> ending in .so must go in a -devel package. OK
> MUST: In the vast majority of cases, devel packages must require the base
> package using a fully versioned dependency. OK
> MUST: Packages does not contain any .la libtool archives. OK
> MUST: Desktop files are installed properly. OK
> MUST: No file conflicts with other packages and no general names. OK
> MUST: Buildroot cleaned before install. OK
> SHOULD: %{?dist} tag is used in release. OK
> SHOULD: If the package does not include license text(s) as separate files from
> upstream, the packager should query upstream to include it. OK
> SHOULD: The package builds in mock. OK

Comment 4 Susi Lehtola 2009-06-15 14:44:39 UTC
Okay. Everything seems OK, but I can't check the rpmlint warnings since you haven't built the package in rawhide. Those were minor issues anyway.

APPROVED

Comment 5 Andy Grover 2013-05-08 22:49:59 UTC
Package Change Request
======================
Package Name: pychecker
New Branches: el5 el6
Owners: vcrhonek grover
InitialCC: 

Hi I'd like to get pychecker in epel, happy to help out with packaging.

Comment 6 Gwyn Ciesla 2013-05-08 23:40:46 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.